DCMTK: DRTApplicatorSequenceInRTImageModule::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTApplicatorSequenceInRTImageModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTApplicatorSequenceInRTImageModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9)
OFCondition | getApplicatorDescription (OFString &value, const signed long pos=0) const
| get ApplicatorDescription (300a,010a)
OFCondition | getApplicatorID (OFString &value, const signed long pos=0) const
| get ApplicatorID (300a,0108)
OFCondition | getApplicatorType (OFString &value, const signed long pos=0) const
| get ApplicatorType (300a,0109)
OFCondition | getSourceToApplicatorMountingPositionDistance (Float32 &value, const unsigned long pos=0) const
| get SourceToApplicatorMountingPositionDistance (300a,0436)
DRTApplicatorGeometrySequence & | getApplicatorGeometrySequence ()
| get ApplicatorGeometrySequence (300a,0431)
const DRTApplicatorGeometrySequence & | getApplicatorGeometrySequence () const
| get ApplicatorGeometrySequence (300a,0431)
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9)
OFCondition | setApplicatorDescription (const OFString &value, const OFBool check=OFTrue)
| set ApplicatorDescription (300a,010a)
OFCondition | setApplicatorID (const OFString &value, const OFBool check=OFTrue)
| set ApplicatorID (300a,0108)
OFCondition | setApplicatorType (const OFString &value, const OFBool check=OFTrue)
| set ApplicatorType (300a,0109)
OFCondition | setSourceToApplicatorMountingPositionDistance (const Float32 value, const unsigned long pos=0)
| set SourceToApplicatorMountingPositionDistance (300a,0436)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmLongString | ApplicatorDescription
| ApplicatorDescription (300a,010a) vr=LO, vm=1, type=3.
DRTApplicatorGeometrySequence | ApplicatorGeometrySequence
| ApplicatorGeometrySequence (300a,0431) vr=SQ, vm=1, type=3.
DcmShortString | ApplicatorID
| ApplicatorID (300a,0108) vr=SH, vm=1, type=1.
DcmCodeString | ApplicatorType
| ApplicatorType (300a,0109) vr=CS, vm=1, type=1.
DcmFloatingPointSingle | SourceToApplicatorMountingPositionDistance
| SourceToApplicatorMountingPositionDistance (300a,0436) vr=FL, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTApplicatorSequenceInRTImageModule::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTApplicatorSequenceInRTImageModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getApplicatorDescription()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::getApplicatorDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicatorDescription (300a,010a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getApplicatorGeometrySequence() [1/2]

DRTApplicatorGeometrySequence & DRTApplicatorSequenceInRTImageModule::Item::getApplicatorGeometrySequence | ( |  | ) |
| inline

get ApplicatorGeometrySequence (300a,0431)

Returns
  reference to sequence element

References ApplicatorGeometrySequence.

## ◆ getApplicatorGeometrySequence() [2/2]

const DRTApplicatorGeometrySequence & DRTApplicatorSequenceInRTImageModule::Item::getApplicatorGeometrySequence | ( |  | ) | const
| inline

get ApplicatorGeometrySequence (300a,0431)

Returns
  const reference to sequence element

References ApplicatorGeometrySequence.

## ◆ getApplicatorID()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::getApplicatorID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicatorID (300a,0108)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getApplicatorType()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::getApplicatorType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicatorType (300a,0109)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToApplicatorMountingPositionDistance()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::getSourceToApplicatorMountingPositionDistance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceToApplicatorMountingPositionDistance (300a,0436)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTApplicatorSequenceInRTImageModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTApplicatorSequenceInRTImageModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTApplicatorSequenceInRTImageModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setApplicatorDescription()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::setApplicatorDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicatorDescription (300a,010a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setApplicatorID()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::setApplicatorID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicatorID (300a,0108)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setApplicatorType()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::setApplicatorType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicatorType (300a,0109)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToApplicatorMountingPositionDistance()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::setSourceToApplicatorMountingPositionDistance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set SourceToApplicatorMountingPositionDistance (300a,0436)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTApplicatorSequenceInRTImageModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtas2.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1